Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358783 - webadmin-cockpit-ui-plugin: Show instructions how to accept Cockpit's SSL certificate
Summary: webadmin-cockpit-ui-plugin: Show instructions how to accept Cockpit's SSL cer...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.2
: 4.0.2
Assignee: Marek Libra
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 13:03 UTC by Marek Libra
Modified: 2016-08-12 14:25 UTC (History)
5 users (show)

Fixed In Version: cockpit-ovirt-0.10.6-1.3.2.el7ev
Doc Type: Enhancement
Doc Text:
This update improves the error message received when Cockpit cannot be displayed in the Administration portal's Host's sub-tab. The error now includes SSL certificate information and a link to the Cockpit ping page.
Clone Of:
Environment:
Last Closed: 2016-08-12 14:25:48 UTC
oVirt Team: Virt
rule-engine: ovirt-4.0.z+
rule-engine: planning_ack+
michal.skrivanek: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 61182 master MERGED ui-plugin: Print help to accept SSL certificate 2016-07-21 13:31:46 UTC
oVirt gerrit 61185 ovirt-4.0 MERGED ui-plugin: Print help to accept SSL certificate 2016-07-21 13:31:56 UTC

Description Marek Libra 2016-07-21 13:03:34 UTC
The Cockpit webadmin UI plugin shall guide user to accept SSL certificate when accessing the host's cockpit.

Comment 1 Pavel Novotny 2016-07-28 13:47:32 UTC
Verified in 
cockpit-ovirt-uiplugin-0.10.6-1.3.2.el7ev.noarch
rhevm-4.0.2.1-0.1.el7ev.noarch

Text in the Cockpit sub-tab has been extended with the SSL certificate info and link to the cockpit /ping page:

"""
Cockpit can't be accessed on this host. Please check the host if Cockpit

  - is installed
      - Try: sudo dnf install cockpit
  - service is enabled
      - Try:
      - sudo systemctl start cockpit.socket
      - sudo systemctl enable cockpit.socket
  - port is allowed on firewall
      - default TCP 9090
      - see plugin's "cockpit.json" configuration file
  - the host SSL certificate is accepted, try
      - https://10.20.30.40:9090/ping
"""


Note You need to log in before you can comment on or make changes to this bug.